Продолжение дискриминации Raspberry PI

В общем конечно этого следовало ожидать, но вслед за WordPress посыпались проблемы и с другими контейнерами. После обновления вчера, увидел как падает раз за разом HomeAssistant, Portainer и пара других контейнеров. И тут уже стало понятно, что проблему нужно решать системно, а не точечно. А для этого нам нужно обновить libseccomp библиотеку, которая по умолчанию не обновляется (по крайней мере пока) при общем обновлении системы.

Так что если при старте того же Home Assistant, он валится с последними строчками в логе типа таких

Fatal Python error: init_interp_main: can’t initialize time
Python runtime state: core initialized
PermissionError: [Errno 1] Operation not permitted

То это ваш случай и его уже пора лечить. Для этого делаем следующее:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 04EE7237B7D453EC 648ACFD622F3D138
echo "deb http://deb.debian.org/debian buster-backports main" | sudo tee -a /etc/apt/sources.list.d/buster-backports.list
sudo apt update
sudo apt install -t buster-backports libseccomp2  

На этом все, с этой библиотекой все контейнеры стартуют и благополучно работают

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *